<template>
  <div class="parent">
    <div class="reviewBox">
      <div v-if="review.tutor">
        {{
          "Преподаватель: " +
          this.review.tutor.firstName +
          "&nbsp;" +
          this.review.tutor.lastName +
          "&nbsp;" +
          this.review.tutor.patronymic
        }}
      </div>
      <div>
        {{ "Предмет:" + this.review.course.courseName }}
      </div>
      <div>
        {{ "Никнейм: " + this.review.nickname }}
      </div>
      <div>
        {{ "Отзыв: " + this.review.text }}
      </div>
      <div>
        {{ "Оценка: " + this.review.score }}
      </div>
      <div>
        {{ "Год начала обучения студента: " + this.review.eduStart }}
      </div>
      <div>
        {{ "Год конца обучения студента: " + this.review.eduEnd }}
      </div>
      <div>
        {{ "Дата отправки отзыва: " + this.review.reviewDate }}
      </div>
      <div class="acceptButtonBox">
        <button class="acceptButton" @click="this.accept">&#10003;</button>
      </div>
      <div class="deleteButtonBox">
        <button class="deleteButton" @click="this.delete">&#128938;</button>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";

export default {
  name: "ReviewItem",
  props: ["review"],
  data() {
    return {
      url: String(process.env.VUE_APP_API_URL)
    }
  },
  methods: {
    async delete() {
      axios
        .delete(this.url + "reviews?id=" + this.review.reviewId)
        .then(() => this.$emit("onUpdate"));
    },
    async accept() {
      axios
        .post(this.url + "reviews/accept", this.review)
        .then(() => this.$emit("onUpdate"));
    },
  },
};
</script>

<style scoped>
.reviewBox {
  background-color: lightgreen;
  display: block;
  float: left;
  min-height: 25px;
  padding: 10px;
  margin: 15px;
  border-radius: 10px;
  transition-property: width;
  transition-duration: 150ms;
  position: relative;
}

.parent {
  display: flex;
}

.acceptButton,
.deleteButton {
  background: red;
  border-radius: 5px;
  color: white;
  position: absolute;
  right: 15px;
}

.acceptButton {
  background: green;
}

.deleteButton {
  right: 45px;
}
</style>
